class GuiConfig {
  GuiConfig({
    required this.selected,
    required this.updateInterval,
    required this.updateSubsAtStart,
    required this.setSystemProxy,
    required this.startAtLogin,
    required this.breakConnections,
    required this.language,
    required this.servicePort
  });
  late String selected;
  late int updateInterval;
  late bool updateSubsAtStart;
  late bool setSystemProxy;
  late bool startAtLogin;
  late bool breakConnections;
  late String language;
  late int servicePort;


  GuiConfig.fromJson(Map<String, dynamic> json) {
    selected = json['selected'];
    updateInterval = json['updateInterval'];
    updateSubsAtStart = json['updateSubsAtStart'];
    setSystemProxy = json['setSystemProxy'];
    startAtLogin = json['startAtLogin'];
    breakConnections = json['breakConnections'];
    language = json['language'];
    servicePort = json['port'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['selected'] = selected;
    data['updateInterval'] = updateInterval;
    data['updateSubsAtStart'] = updateSubsAtStart;
    data['setSystemProxy'] = setSystemProxy;
    data['startAtLogin'] = startAtLogin;
    data['breakConnections'] = breakConnections;
    data['language'] = language;
    data['port'] = servicePort;
    return data;
  }

  @override
  String toString() {
    return toJson().toString();
  }
}



